## lvm2 2.03.11

=== debian/changelog ===
lvm2 (2.03.11-2ubuntu4~ubuntu20.04.1) focal-backports; urgency=medium

  * Backport to Focal (LP: #1929432):
    - change debhelper-compat version (= 12)
    - add Breaks: sanlock (<< 3.8.0) for lvm2-lockd to prevent incompatibility
       with shared leases

 -- Heitor Alves de Siqueira <halves@canonical.com>  Tue, 08 Jun 2021 18:37:35 +0000

lvm2 (2.03.11-2ubuntu4) hirsute; urgency=medium

  * Disable lto build. Other distros build it with lto, however Debian has
    an old work around from 2015 for an ABI break. See #791888.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Mar 2021 12:36:07 +0100

lvm2 (2.03.11-2ubuntu3) hirsute; urgency=medium

  * Fix file mode of debian/initramfs-tools/lvm2/hooks/lvm2 (LP: #1915579)

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 04 Mar 2021 11:00:58 +0100

lvm2 (2.03.11-2ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:35:19 +0100

lvm2 (2.03.11-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - scripts/blkdeactivate.sh.in: Refer to /usr/bin/sort, not /bin/sort
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - Enable udev-sync in udeb build as it is used by partman when
      partitioning devicemapper devices.
    - Disable udev using systemd-run background jobs in udeb build as
      systemd is not available.
    - Ship correct udev rules in lvm2-udeb package.
    - d/control: add thin-provisioning-tools build-dep as configure
      wants it around for some checks at build time.
  * Dropped changes, included upstream:
    - Include raid1 in the list of modules installed by the initramfs hook
    - Detect systemd in udev rule at runtime:
      debian/patches/Detect-systemd-at-run-time-in-69-dm-lvm-metad.rules.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 09 Feb 2021 11:55:15 +0100

lvm2 (2.03.11-2) unstable; urgency=medium

  * Make sure lvmlockd can use sd notify. (closes: #980225)

 -- Bastian Blank <waldi@debian.org>  Sat, 16 Jan 2021 21:51:13 +0100

lvm2 (2.03.11-1) unstable; urgency=medium

  * New upstream release.
  * Use libedit instead of old readline. (closes: #966152)
  * Drop dev symlink to internal lib for good. (closes: #857954)
  * Fix watch file and signing key. (closes: #979584)
  * Use per-arch pkg-config. (closes: #968411)

 -- Bastian Blank <waldi@debian.org>  Fri, 15 Jan 2021 20:08:29 +0100

lvm2 (2.03.07-1ubuntu4) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 20:19:25 +0100

lvm2 (2.03.07-1ubuntu3) groovy; urgency=medium

  * Revert "Fix incorrect path to mountroot fail hook. LP: #1871154"
    regression is in the initramfs-tools package.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 30 May 2020 15:02:01 +0100

lvm2 (2.03.07-1ubuntu2) groovy; urgency=medium

  * Fix incorrect path to mountroot fail hook. LP: #1871154

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 May 2020 13:11:44 +0100
