=== debian/control ===
Source: lvm2
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 autoconf-archive,
 automake,
 libaio-dev,
 libblkid-dev,
 pkg-config,
 systemd,
 thin-provisioning-tools
Build-Depends-Arch:
 libcmap-dev,
 libcorosync-common-dev,
 libcpg-dev,
 libdlm-dev (>> 2),
 libdlmcontrol-dev,
 libedit-dev,
 libquorum-dev,
 libsanlock-dev,
 libselinux1-dev,
 libsystemd-dev,
 libudev-dev,
Build-Depends-Indep:
 dh-sequence-python3,
 python3-dev,
 python3-dbus,
 python3-pyudev,
Standards-Version: 4.1.1
Rules-Requires-Root: no
Homepage: https://sourceware.org/lvm2/
Vcs-Git: https://salsa.debian.org/lvm-team/lvm2.git
Vcs-Browser: https://salsa.debian.org/lvm-team/lvm2

Package: lvm2
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 lsb-base,
 dmsetup (>= ${devmapper:Version}~),
 dmeventd (>= ${devmapper:Version}~),
Recommends:
 thin-provisioning-tools
Multi-Arch: foreign
Description: Linux Logical Volume Manager
 This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
 supports enterprise level volume management of disk and disk subsystems
 by grouping arbitrary disks into volume groups. The total capacity of
 volume groups can be allocated to logical volumes, which are accessed as
 regular block devices.

Package: lvm2-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Linux Logical Volume Manager
 This is a udeb, or a microdeb, for the debian-installer.
 .
 This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
 supports enterprise level volume management of disk and disk subsystems
 by grouping arbitrary disks into volume groups. The total capacity of
 volume groups can be allocated to logical volumes, which are accessed as
 regular block devices.

Package: lvm2-dbusd
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${python3:Depends},
 ${misc:Depends},
 lvm2 (>= ${source:Version}~),
 dbus,
 python3-dbus,
 python3-gi,
 python3-pyudev,
Multi-Arch: foreign
Description: LVM2 D-Bus daemon
 This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
 supports enterprise level volume management of disk and disk subsystems
 by grouping arbitrary disks into volume groups. The total capacity of
 volume groups can be allocated to logical volumes, which are accessed as
 regular block devices.
 .
 This package includes the D-Bus daemon.

Package: lvm2-lockd
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 lvm2 (>= ${source:Version}~),
Breaks:
 sanlock (<< 3.8.0),
Multi-Arch: foreign
Description: LVM locking daemon
 This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
 supports enterprise level volume management of disk and disk subsystems
 by grouping arbitrary disks into volume groups. The total capacity of
 volume groups can be allocated to logical volumes, which are accessed as
 regular block devices.
 .
 LVM commands use lvmlockd to coordinate access to shared storage.

Package: libdevmapper-dev
Section: libdevel
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 libdevmapper1.02.1 (= ${binary:Version}),
 libdevmapper-event1.02.1 (= ${binary:Version}),
 libudev-dev,
 libselinux1-dev,
Multi-Arch: same
Description: Linux Kernel Device Mapper header files
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains the (user-space) header files for accessing the
 device-mapper; it allow usage of the device-mapper through a clean,
 consistent interface (as opposed to through kernel ioctls).

Package: libdevmapper1.02.1
Section: libs
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 dmsetup (>= ${devmapper:Version}~),
Multi-Arch: same
Description: Linux Kernel Device Mapper userspace library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains the (user-space) shared library for accessing the
 device-mapper; it allows usage of the device-mapper through a clean,
 consistent interface (as opposed to through kernel ioctls).

Package: libdevmapper1.02.1-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 dmsetup-udeb,
Description: Linux Kernel Device Mapper userspace library
 This is a udeb, or a microdeb, for the debian-installer.
 .
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.

Package: dmsetup
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Multi-Arch: foreign
Description: Linux Kernel Device Mapper userspace library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains a utility for modifying device mappings.

Package: dmsetup-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Linux Kernel Device Mapper userspace library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains a utility for modifying device mappings.

Package: libdevmapper-event1.02.1
Section: libs
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Multi-Arch: same
Description: Linux Kernel Device Mapper event support library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains the userspace library to help with event monitoring
 for devmapper devices, in conjunction with the dmevent daemon.

Package: dmeventd
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
# No Multi-Arch: foreign, plugins depend on the current architecture
Description: Linux Kernel Device Mapper event daemon
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains a daemon to monitor events of devmapper devices.

Package: liblvm2cmd2.03
Section: libs
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dmeventd,
Multi-Arch: same
Description: LVM2 command library
 This package contains the lvm2cmd shared library.

Package: liblvm2-dev
Section: libdevel
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 liblvm2cmd2.03 (= ${binary:Version}),
 libdevmapper-dev,
Multi-Arch: same
Description: LVM2 libraries - development files
 This package contains files needed to develop applications that use the
 lvm2app library.
