## lvm2 2.03.11-2.1ubuntu4+11.0trisquel2

=== debian/changelog ===
lvm2 (2.03.11-2.1ubuntu4+11.0trisquel2) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 30 Nov 2022 19:43:02 +0000

lvm2 (2.03.11-2.1ubuntu4) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:06:22 +0000

lvm2 (2.03.11-2.1ubuntu3) impish; urgency=medium

  * Fix-up noudeb build profile support.
  * Define PYTHON_PREFIX in make.tmpl.in for new ax-python.
  * Fixes FTBFS in impish.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 06 Oct 2021 10:31:36 +0100

lvm2 (2.03.11-2.1ubuntu2) impish; urgency=medium

  * Don't build udeb targets.
  * Work around an installation issue about installing python files into
    lib/python* instead of usr/lib/python*.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Oct 2021 10:49:59 +0200

lvm2 (2.03.11-2.1ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Closes: #586424, LP: #1032823)
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs (Debian
      #504341).
      - Ship correct udev rules in lvm2-udeb package.
    - Enable udev-sync in udeb build as it is used by partman when
      partitioning devicemapper devices.
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Fix file mode of debian/initramfs-tools/lvm2/hooks/lvm2 (LP: #1915579)
    - Disable lto build. Other distros build it with lto, however Debian has
      an old work around from 2015 for an ABI break. See #791888.
  * Removed obsolete patches/changes:
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115) (mountroot failure hooks
      removed in last initramfs-tools merge)
    - Disable udev using systemd-run background jobs in udeb build as
      systemd is not available. (removed previously, but erroneously noted)
    - Add udev-prefix spec to udeb build (erroneous addition)
  * Removed patches obsoleted/merged by upstream:
    - scripts/blkdeactivate.sh.in: Refer to /usr/bin/sort, not /bin/sort

 -- Dave Jones <dave.jones@canonical.com>  Wed, 19 May 2021 18:35:39 +0100

lvm2 (2.03.11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix path to sort in blkdeactivate. (closes: #946882)

 -- Ivo De Decker <ivodd@debian.org>  Mon, 22 Feb 2021 21:39:14 +0000
