=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: lvm2
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  autoconf-archive,
  automake,
  libaio-dev,
@@ -58,6 +58,7 @@
 
 Package: lvm2-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: linux-any
 Pre-Depends:
@@ -105,8 +106,6 @@
  ${shlibs:Depends},
  ${misc:Depends},
  lvm2 (>= ${source:Version}~),
-Breaks:
- sanlock (<< 3.8.0),
 Multi-Arch: foreign
 Description: LVM locking daemon
  This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
@@ -164,6 +163,7 @@
 
 Package: libdevmapper1.02.1-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: linux-any
 Pre-Depends:
@@ -201,6 +201,7 @@
 
 Package: dmsetup-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: linux-any
 Pre-Depends:
