## lvm2 2.03.11-2.1ubuntu5+11.0trisquel4

=== debian/changelog ===
lvm2 (2.03.11-2.1ubuntu5+11.0trisquel4) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 19 Mar 2025 20:46:32 +0000

lvm2 (2.03.11-2.1ubuntu5) jammy; urgency=medium

  * Remove libaio from being skipped by memlock (LP: #2084233)
    - d/p/lp2084233-mm-remove-libaio-from-being-skipped.patch

 -- Heitor Alves de Siqueira <halves@canonical.com>  Wed, 27 Nov 2024 19:04:29 +0000
