=== debian/control ===
--- 
+++ 
@@ -63,7 +63,7 @@
 Architecture: linux-any
 Pre-Depends:
  ${misc:Pre-Depends},
-Depends:
+Depends: dmsetup-udeb,
  ${shlibs:Depends},
  ${misc:Depends},
 Description: Linux Logical Volume Manager
