=== debian/rules ===
--- 
+++ 
@@ -71,7 +71,6 @@
 	--with-pool=none
 	--disable-readline
 	--disable-selinux
-	--with-udev-prefix=/
 	--enable-udev_rules
 	--enable-udev_sync
 endef
