=== debian/changelog ===
lvm2 (2.03.16-3ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:03:58 +0000

lvm2 (2.03.16-3ubuntu2) noble; urgency=medium

  [ Luca Boccassi ]
  * Cherry-pick upstream change for libdm returning wrong error code when
    dm-verity key cannot be found (LP: #2054620)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Mar 2024 19:53:11 +0100

lvm2 (2.03.16-3ubuntu1) noble; urgency=medium

  * Merge from Debian unstable (LP: #2054683). Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Debian #586424)
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      - Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Don't build udeb targets.

 -- Dave Jones <dave.jones@canonical.com>  Thu, 22 Feb 2024 10:28:18 +0000

lvm2 (2.03.16-3) unstable; urgency=medium

  * Remove obsolete dependency on lsb-base.
  * Expect systemd relates files in /usr. (closes: #1052666)
  * Move all remaining files to /usr.

 -- Bastian Blank <waldi@debian.org>  Sat, 06 Jan 2024 18:47:24 +0100

lvm2 (2.03.16-2ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable (LP: #2020464). Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Debian #586424)
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      - Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Don't build udeb targets.
  * Removed obsolete patches/changes:
    - Disable lto build. Other distros build it with lto, however Debian has
      an old work around from 2015 for an ABI break. See #791888.

 -- Dave Jones <dave.jones@canonical.com>  Tue, 23 May 2023 11:20:09 +0100

lvm2 (2.03.16-2) unstable; urgency=medium

  * Remove remaining unused init scripts.
  * Call update-initramfs trigger directly.

 -- Bastian Blank <waldi@debian.org>  Wed, 19 Oct 2022 21:37:31 +0200

lvm2 (2.03.16-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable (LP: #1987340). Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Closes: #586424, LP: #1032823)
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      - Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP: #1576341)
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Disable lto build. Other distros build it with lto, however Debian has
      an old work around from 2015 for an ABI break. See #791888.
    - Don't build udeb targets.
  * Removed obsolete patches/changes:
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs (Debian
      #504341).
      - Ship correct udev rules in lvm2-udeb package.
    - Enable udev-sync in udeb build as it is used by partman when
      partitioning devicemapper devices.
    - Define PYTHON_PREFIX in make.tmpl.in for new ax-python.
  * Removed patches obsoleted/merged by upstream:
    - Fix file mode of debian/initramfs-tools/lvm2/hooks/lvm2 (LP: #1915579)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 22 Aug 2022 21:35:55 +0100

lvm2 (2.03.16-1) unstable; urgency=medium

  * New upstream release.

