=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: lvm2
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends:
@@ -11,7 +11,7 @@
  libaio-dev,
  libblkid-dev,
  pkg-config,
- systemd,
+ systemd-dev (>= 255~rc1-1),
  thin-provisioning-tools
 Build-Depends-Arch:
  libcmap-dev,
@@ -43,7 +43,6 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- lsb-base,
  dmsetup (>= ${devmapper:Version}~),
  dmeventd (>= ${devmapper:Version}~),
 Recommends:
@@ -63,7 +62,7 @@
 Architecture: linux-any
 Pre-Depends:
  ${misc:Pre-Depends},
-Depends: dmsetup-udeb,
+Depends:
  ${shlibs:Depends},
  ${misc:Depends},
 Description: Linux Logical Volume Manager
@@ -171,8 +170,6 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
-Recommends:
- dmsetup-udeb,
 Description: Linux Kernel Device Mapper userspace library
  This is a udeb, or a microdeb, for the debian-installer.
  .
