=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
-DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
+DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DEB_CFLAGS_MAINT_STRIP = -O2
 
 include /usr/share/dpkg/default.mk
@@ -24,8 +24,8 @@
 endif
 
 define CONFARGS.deb
-	--libdir=/lib/$(DEB_HOST_MULTIARCH)
-	--sbindir=/sbin
+	--prefix=/usr
+	--exec-prefix=/usr
 	--with-usrlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 	--with-optimisation="$(CFLAGS_OPT_DEB)"
 	--with-cache=internal
@@ -39,7 +39,6 @@
 	--with-thin-check=/usr/sbin/thin_check
 	--with-thin-dump=/usr/sbin/thin_dump
 	--with-thin-repair=/usr/sbin/thin_repair
-	--with-udev-prefix=/
 	--enable-applib
 	--enable-blkid_wiping
 	--enable-cmdlib
@@ -56,28 +55,27 @@
 endef
 
 define CONFARGS.deb_all
-	--sbindir=/sbin
 	--enable-dbus-service
 	--disable-readline
 	--disable-selinux
 endef
 
 define CONFARGS.udeb
-	--libdir=/lib
-	--sbindir=/sbin
-	--with-usrlibdir=/usr/lib
 	--with-optimisation="$(CFLAGS_OPT_UDEB)"
 	--with-lvm1=none
 	--with-pool=none
+	--disable-app-machineid
 	--disable-readline
 	--disable-selinux
-	--enable-udev_rules
-	--enable-udev_sync
+	--disable-systemd-journal
 endef
 
 BUILDS :=
 ifneq ($(filter lvm2,$(shell dh_listpackages)),)
-BUILDS += deb udeb
+BUILDS += deb
+endif
+ifneq ($(filter lvm2-udeb,$(shell dh_listpackages)),)
+BUILDS += udeb
 endif
 ifneq ($(filter lvm2-dbusd,$(shell dh_listpackages)),)
 BUILDS += deb_all
@@ -127,10 +125,12 @@
 		-- $(GENCONTROL_ARGS)
 
 override_dh_install:
+ifneq ($(filter lvm2-udeb,$(shell dh_listpackages)),)
 	dh_install --sourcedir=debian/build/install_udeb \
 		-pdmsetup-udeb \
 		-plibdevmapper$(DEVMAPPER_ABINAME)-udeb \
 		-plvm2-udeb
+endif
 	dh_install --sourcedir=debian/build/install_deb_all \
 		-plvm2-dbusd
 	dh_install --sourcedir=debian/build/install_deb \
