## lvm2 2.03.16-3ubuntu3.2trisquel4

=== debian/changelog ===
lvm2 (2.03.16-3ubuntu3.2trisquel4) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 16 Mar 2025 12:35:33 +0000

lvm2 (2.03.16-3ubuntu3.2) noble; urgency=medium

  * Remove libaio from being skipped by memlock (LP: #2084233)
    - d/p/lp2084233-mm-remove-libaio-from-being-skipped.patch

 -- Heitor Alves de Siqueira <halves@canonical.com>  Wed, 27 Nov 2024 19:06:49 +0000

lvm2 (2.03.16-3ubuntu3.1) noble; urgency=medium

  * initramfs-tools hook: Combine calls to manual_add_modules (LP: #2065180)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 01 Jul 2024 20:45:03 +0200
