=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: lvm2
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends:
@@ -62,7 +62,7 @@
 Architecture: linux-any
 Pre-Depends:
  ${misc:Pre-Depends},
-Depends:
+Depends: dmsetup-udeb,
  ${shlibs:Depends},
  ${misc:Depends},
 Description: Linux Logical Volume Manager
