## lvm2 2.03.22

=== debian/changelog ===
lvm2 (2.03.22-1) unstable; urgency=medium

  * New upstream release.

 -- Bastian Blank <waldi@debian.org>  Sat, 24 Feb 2024 16:41:00 +0100
