=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lvm2
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
+Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,7 +11,6 @@
  libblkid-dev,
  pkg-config,
  systemd-dev (>= 255~rc1-1),
- thin-provisioning-tools
 Build-Depends-Arch:
  libcmap-dev,
  libcorosync-common-dev,
@@ -57,12 +55,11 @@
 
 Package: lvm2-udeb
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: linux-any
 Pre-Depends:
  ${misc:Pre-Depends},
-Depends: dmsetup-udeb,
+Depends:
  ${shlibs:Depends},
  ${misc:Depends},
 Description: Linux Logical Volume Manager
@@ -146,7 +143,6 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
-Recommends:
  dmsetup (>= ${devmapper:Version}~),
 Multi-Arch: same
 Description: Linux Kernel Device Mapper userspace library
@@ -162,7 +158,6 @@
 
 Package: libdevmapper1.02.1-udeb
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: linux-any
 Pre-Depends:
@@ -198,7 +193,6 @@
 
 Package: dmsetup-udeb
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: linux-any
 Pre-Depends:
