=== debian/rules ===
--- 
+++ 
@@ -51,6 +51,7 @@
 	--enable-pkgconfig
 	--enable-udev_rules
 	--enable-udev_sync
+	--enable-write_install
 	--disable-readline
 endef
 
@@ -72,10 +73,7 @@
 
 BUILDS :=
 ifneq ($(filter lvm2,$(shell dh_listpackages)),)
-BUILDS += deb
-endif
-ifneq ($(filter lvm2-udeb,$(shell dh_listpackages)),)
-BUILDS += udeb
+BUILDS += deb udeb
 endif
 ifneq ($(filter lvm2-dbusd,$(shell dh_listpackages)),)
 BUILDS += deb_all
@@ -90,13 +88,12 @@
 
 dh_auto_configure.%:
 	mkdir -p debian/build/build_$*
-	cp -al $(filter-out debian, $(wildcard * .[^.]*)) debian/build/build_$*/
+	cp -al $(filter-out debian, $(wildcard *)) debian/build/build_$*/
 	dh_auto_configure --sourcedirectory=debian/build/build_$* -- $(strip $(CONFARGS.$*))
-	cp po/lvm2.po po/lvm2.pot
 
 dh_auto_build.%:
 	dh_auto_build --sourcedirectory=debian/build/build_$* -- \
-		LIB_VERSION_DM=$(DEVMAPPER_ABINAME)
+		LIB_VERSION_DM=$(DEVMAPPER_ABINAME) V=1
 
 dh_auto_install.%:
 	dh_auto_install --sourcedirectory=debian/build/build_$* \
@@ -109,7 +106,6 @@
 
 override_dh_auto_clean:
 	rm -rf debian/build
-	rm -f po/lvm2.pot
 
 override_dh_gencontrol:
 	dh_gencontrol \
@@ -125,12 +121,10 @@
 		-- $(GENCONTROL_ARGS)
 
 override_dh_install:
-ifneq ($(filter lvm2-udeb,$(shell dh_listpackages)),)
 	dh_install --sourcedir=debian/build/install_udeb \
 		-pdmsetup-udeb \
 		-plibdevmapper$(DEVMAPPER_ABINAME)-udeb \
 		-plvm2-udeb
-endif
 	dh_install --sourcedir=debian/build/install_deb_all \
 		-plvm2-dbusd
 	dh_install --sourcedir=debian/build/install_deb \
